
# FCID Component Library

#### Setting up the project
Navigate to the directory containing the codebase.  Run 'yarn' to install the packages and dependencies.

#### Running the project locally
In your terminal, navigate to the repository and enter the command 'yarn start'.
  In your web browser, go to http://localhost:4200/

#### Running Storybook
In your terminal, navigate to the repository and enter the command 'yarn storybook'. When successfully compiled, go to http://localhost:6006/ in your web browser. 

## Contributing Guidelines
In order for a contribution to be considered for a PR, the changes should have at a minimum:

- [Unit tests]('https://angular.io/guide/testing') (meaningful unit testing of expected outcomes/behavior/results)
- [Storybook]('https://storybook.js.org/docs/angular/get-started/introduction') (if applicable)
- [Typing]('https://www.tutorialsteacher.com/typescript/typescript-static') (if utilizing an 'any' type, be prepared to explain why it is appropriate)

Changes should also ensure the code follows the [Atomic design pattern]('https://atomicdesign.bradfrost.com/chapter-2/').

Because many applications may be consuming this library, it is especially important to follow the [Open-Closed Principle]('https://www.digitalocean.com/community/conceptual-articles/s-o-l-i-d-the-first-five-principles-of-object-oriented-design').  Objects or entities should be open for extension but closed for modification.  Do not introduce a change that will cause current implementations to change or behave unexpectedly.
