import { DebugElement } from '@angular/core';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { By } from '@angular/platform-browser';

import { HeaderComponent } from './header.component';

describe('HeaderComponent', () => {
  let component: HeaderComponent;
  let fixture: ComponentFixture<HeaderComponent>;
  let componentDEs: DebugElement;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [HeaderComponent],
    }).compileComponents();

    fixture = TestBed.createComponent(HeaderComponent);
    component = fixture.componentInstance;
    componentDEs = fixture.debugElement;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  it('should display company name with Prefix By', () => {
    component.company = 'Decernis';
    fixture.detectChanges();

    expect(
      componentDEs.query(By.css('.company_wrapper')).nativeElement.innerText
    ).toEqual('By Decernis');
  });

  it('should not display company name', () => {
    component.company = '';
    fixture.detectChanges();

    expect(componentDEs.query(By.css('.company_wrapper'))).toBeFalsy();
  });

  it('should display correct app name', () => {
    component.appName = 'Regulatory Library';
    fixture.detectChanges();

    expect(
      componentDEs.query(By.css('.app_wrapper')).nativeElement.innerText
    ).toEqual('Regulatory Library');
  });
});
