import { Meta, moduleMetadata, Story } from '@storybook/angular';
import { HeaderComponent } from './header.component';

export default {
  title: 'Component/App Header',
  component: HeaderComponent,
  decorators: [
    moduleMetadata({
      declarations: [HeaderComponent],
    }),
  ],
} as Meta;

const TemplateWithRightComponent: Story<HeaderComponent> = (
  args: HeaderComponent
) => {
  return {
    template: `<app-header [appName]="appName" [company]="company">
                <div>Right component</div>
              </app-header>`,
    props: args,
  };
};

export const WithRightComponent = TemplateWithRightComponent.bind({});
WithRightComponent.args = {
  appName: 'Regulatory Library',
  company: 'Decernis',
};

const Template: Story<HeaderComponent> = (args: HeaderComponent) => ({
  props: args,
});

export const WithCompany = Template.bind({});
WithCompany.args = { appName: 'Regulatory Library', company: 'Decernis' };

export const WithOutCompany = Template.bind({});
WithOutCompany.args = { appName: 'Regulatory Library' };
