import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { MenuModule, MenusModule } from '@progress/kendo-angular-menu';
import { Meta, moduleMetadata, Story } from '@storybook/angular';
import { NavigationMenuComponent } from './navigation-menu.component';

export default {
  title: 'Component/Menu',
  component: NavigationMenuComponent,
  decorators: [
    moduleMetadata({
      imports: [ BrowserAnimationsModule, MenuModule, MenusModule]      
    }),
  ],
  argTypes: {
    items: { control: 'object' }
  },
} as Meta;

const Template: Story<NavigationMenuComponent> = (args: NavigationMenuComponent) => ({
  props: args,
});

export const NavigationMenu = Template.bind({});
NavigationMenu.args = {
  items: [{
    text: "Item 1",
    action: () => alert('Item 1'),
  },
  {
    text: "Item 2",
    action: () => window.open('https://www.google.com'),
  }],
};